# ACE_StringCapEntry Class Reference

This class implement the ACE String Capability subclass. More...

`#include <Capabilities.h>`

Inheritance diagram for ACE_StringCapEntry:

[legend]
Collaboration diagram for ACE_StringCapEntry:

[legend]
List of all members.

## Public Member Functions

| ACE_StringCapEntry (const ACE_TString &val)
ACE_TString | getval (void) const

## Protected Attributes

ACE_TString | val_

## Detailed Description

This class implement the ACE String Capability subclass.

This is a container class for ACE Capabilities String container values.

## Constructor & Destructor Documentation

ACE_INLINE ACE_StringCapEntry::ACE_StringCapEntry | ( | const ACE_TString & | val | ) |

## Member Function Documentation

ACE_INLINE ACE_TString ACE_StringCapEntry::getval | ( | void |  | ) | const

## Member Data Documentation

ACE_TString ACE_StringCapEntry::val_`[protected]`

The documentation for this class was generated from the following files:

- Capabilities.h
- Capabilities.inl